=== debian/changelog ===
cpp-httplib (0.9.7+ds-1) unstable; urgency=low

  * Initial release. Closes: #994547

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 31 Oct 2021 20:31:25 +0100
