=== debian/control ===
Source: cpp-httplib
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13),
               meson (>= 0.47.0),
               python3-distutils
Build-Depends-Arch: python3,
                    pkg-config,
                    libssl-dev (>= 1.1.1),
                    zlib1g-dev,
                    libbrotli-dev,
                    libgtest-dev,
                    openssl
Standards-Version: 4.6.0
Homepage: https://github.com/yhirose/cpp-httplib
Rules-Requires-Root: no

Package: libcpp-httplib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ HTTP/HTTPS server and client library
 cpp-httplib is a C++11 cross platform HTTP/HTTPS library, with a focus on
 ease of use. This is a multi-threaded 'blocking' HTTP library. If you are
 looking for a 'non-blocking' library, this is not the one that you want.

Package: libcpp-httplib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libcpp-httplib0 (= ${binary:Version}),
         libssl-dev,
         zlib1g-dev,
         libbrotli-dev
Description: C++ HTTP/HTTPS server and client library - development files
 cpp-httplib is a C++11 cross platform HTTP/HTTPS library, with a focus on
 ease of use. This is a multi-threaded 'blocking' HTTP library. If you are
 looking for a 'non-blocking' library, this is not the one that you want.
 .
 This package contains the development headers and a pkg-config file.
