=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
  https://github.com/yhirose/@PACKAGE@/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@
