=== debian/changelog ===
cpp-httplib (0.9.9+ds-1) unstable; urgency=medium

  * Mark test deps with <!nochech>
  * Switch to git-buildpackage based packaging
  * New upstream version 0.9.9
  * Update patches
  * d/patches: skip online tests
  * d/rules: add qa=+all option

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 27 Nov 2021 15:21:58 +0100
