## cpp-httplib 0.9.10+ds

=== debian/changelog ===
cpp-httplib (0.9.10+ds-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 14 Dec 2021 22:49:30 +0100
