=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.47.0),
                python3-distutils
-Build-Depends-Arch: python3,
+Build-Depends-Arch: libbrotli-dev,
+                    libgtest-dev <!nocheck>,
+                    libssl-dev (>= 1.1.1),
+                    openssl <!nocheck>,
                     pkg-config,
-                    libssl-dev (>= 1.1.1),
-                    zlib1g-dev,
-                    libbrotli-dev,
-                    libgtest-dev,
-                    openssl
+                    python3,
+                    zlib1g-dev
 Standards-Version: 4.6.0
 Homepage: https://github.com/yhirose/cpp-httplib
+Vcs-Git: https://salsa.debian.org/debian/cpp-httplib.git
+Vcs-Browser: https://salsa.debian.org/debian/cpp-httplib
 Rules-Requires-Root: no
 
 Package: libcpp-httplib0
@@ -32,11 +34,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
+Depends: libbrotli-dev,
          libcpp-httplib0 (= ${binary:Version}),
          libssl-dev,
          zlib1g-dev,
-         libbrotli-dev
+         ${misc:Depends}
 Description: C++ HTTP/HTTPS server and client library - development files
  cpp-httplib is a C++11 cross platform HTTP/HTTPS library, with a focus on
  ease of use. This is a multi-threaded 'blocking' HTTP library. If you are
