## cpp-httplib 0.10.2+ds

=== debian/changelog ===
cpp-httplib (0.10.2+ds-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * d/control: drop python3 from Build-Depends-Arch
  * d/patches: fix race condition in tests
  * d/patches: add missing _Online suffix in tests
  * d/rules: don't build tests if nocheck is set
  * d/tests: add autopkgtest
  * d/watch: use GitHub's API

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 29 Jan 2022 23:54:10 +0100
