=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                     libssl-dev (>= 1.1.1),
                     openssl <!nocheck>,
                     pkg-config,
-                    python3,
                     zlib1g-dev
 Standards-Version: 4.6.0
 Homepage: https://github.com/yhirose/cpp-httplib
