=== debian/tests/control ===
Tests: compile
Depends: @, meson, pkg-config, g++ | c++-compiler
