=== test/Makefile ===
--- 
+++ 
@@ -68,4 +68,4 @@
 	#c_rehash .
 
 clean:
-	rm -f test test_split test_proxy server_fuzzer pem *.0 *.o *.1 *.srl httplib.h httplib.cc
+	rm -f test test_split test_proxy server_fuzzer *.pem *.0 *.o *.1 *.srl httplib.h httplib.cc
