=== debian/changelog ===
cpp-httplib (0.10.3+ds-1) unstable; urgency=medium

  * New upstream version 0.10.3+ds
  * d/control: drop python3-distutils from Build-Depends
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 24 Feb 2022 00:33:17 +0100
