=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.47.0),
-               python3-distutils
+               meson (>= 0.47.0)
 Build-Depends-Arch: libbrotli-dev,
                     libgtest-dev <!nocheck>,
                     libssl-dev (>= 1.1.1),
