=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,18 @@
 %:
 	dh $@ --buildsystem=meson
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+test := true
+else
+test := false
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dcpp-httplib_compile=true \
-		-Dcpp-httplib_test=true
+		-Dcpp-httplib_test=$(test)
 
 override_dh_auto_test:
 	dh_auto_test -- \
-		--timeout-multiplier=3 --test-args='--gtest_filter=-*_Online'
+		--timeout-multiplier=3 \
+		--test-args='--gtest_filter=-*_Online'
