=== debian/changelog ===
cpp-httplib (0.10.6+ds-1) unstable; urgency=medium

  * New upstream version 0.10.6+ds
  * d/patches: drop test-unjoined-thread, add meson-version-fix
  * d/patches: fix test failures

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 19 Apr 2022 12:47:03 +0200
