=== debian/changelog ===
cpp-httplib (0.10.8+ds-1) unstable; urgency=medium

  * New upstream version 0.10.8+ds
  * d/control: explicitly depend on python3
  * d/rules: skip flaky tests on specific archs

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 08 Jun 2022 22:39:14 +0200
