=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                     libssl-dev (>= 1.1.1),
                     openssl <!nocheck>,
                     pkg-config,
+                    python3:any,
                     zlib1g-dev
 Standards-Version: 4.6.0
 Homepage: https://github.com/yhirose/cpp-httplib
