=== debian/changelog ===
cpp-httplib (0.11.2+ds-1) unstable; urgency=medium

  * New upstream version 0.11.2+ds
  * Upload to unstable
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 17 Sep 2022 22:26:28 +0200

cpp-httplib (0.11.1+ds-1) experimental; urgency=medium

  * New upstream version 0.11.1+ds
  * d/patches: set soname to libcpp-httplib.so.0.11
  * d/control: libcpp-httplib0 -> libcpp-httplib0.11

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 30 Aug 2022 00:14:09 +0200
