=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,29 @@
 	dh $@ --buildsystem=meson
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-test := true
+  test := true
 else
-test := false
+  test := false
+endif
+
+ifeq ($(test), true)
+  test_args := --gtest_filter=-*_Online
+
+  ifeq ($(DEB_BUILD_ARCH), riscv64)
+    test_args := $(test_args):*PutLargeFileWithGzip*
+  else ifeq ($(DEB_BUILD_ARCH), armel)
+    test_args := $(test_args):*ClientProblemDetectionTest*
+  else ifeq ($(DEB_BUILD_ARCH), armhf)
+    test_args := $(test_args):*ClientProblemDetectionTest*
+  else ifeq ($(DEB_BUILD_ARCH), mipsel)
+    test_args := $(test_args):*PutLargeFileWithGzip*
+  else ifeq ($(DEB_BUILD_ARCH), hurd-i386)
+    test_args := $(test_args):*RedirectToDifferentPort*
+  else ifeq ($(DEB_BUILD_ARCH), ia64)
+    test_args := $(test_args):*DecodeURLTest*
+  else ifeq ($(DEB_BUILD_ARCH), sparc64)
+    test_args := $(test_args):*ClientProblemDetectionTest*
+  endif
 endif
 
 override_dh_auto_configure:
@@ -21,4 +41,4 @@
 override_dh_auto_test:
 	dh_auto_test -- \
 		--timeout-multiplier=3 \
-		--test-args='--gtest_filter=-*_Online'
+		--test-args='$(test_args)'
