## cpp-httplib 0.11.3+ds

=== debian/changelog ===
cpp-httplib (0.11.3+ds-1) unstable; urgency=medium

  * New upstream version 0.11.3+ds
  * d/rules: use Meson's LTO

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 03 Dec 2022 14:45:23 +0100
