=== debian/changelog ===
cpp-httplib (0.11.4+ds-1+deb12u1) bookworm; urgency=medium

  * d/gbp.conf: adjust branch names for bookworm
  * d/patches: fix fox CVE-2023-26130.
    Backport of the security fix for CVE-2023-26130, a CRLF Injection, from
    upstream commit 5b397d455d25a391ba346863830c1949627b4d08 included in
    upstream release 0.12.4 and newer. (Closes: #1037100)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 13 Jul 2023 00:26:06 +0200

cpp-httplib (0.11.4+ds-1) unstable; urgency=medium

  * New upstream version 0.11.4+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 12 Jan 2023 16:39:07 +0100
