=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                     pkg-config,
                     python3:any,
                     zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/yhirose/cpp-httplib
 Vcs-Git: https://salsa.debian.org/debian/cpp-httplib.git
 Vcs-Browser: https://salsa.debian.org/debian/cpp-httplib
 Rules-Requires-Root: no
 
-Package: libcpp-httplib0
+Package: libcpp-httplib0.11
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -34,7 +34,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libbrotli-dev,
-         libcpp-httplib0 (= ${binary:Version}),
+         libcpp-httplib0.11 (= ${binary:Version}),
          libssl-dev,
          zlib1g-dev,
          ${misc:Depends}
